Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.hibernate
Class PersistentReportJobRepositoryDestination

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.PersistentReportJobRepositoryDestination

    public class PersistentReportJobRepositoryDestination

extends java.lang.Object

Version:
  $Id: PersistentReportJobRepositoryDestination.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`PersistentReportJobRepositoryDestination()`

Method Summary
`void` | `copyFrom(ReportJobRepositoryDestination repositoryDestination)`
`java.lang.String` | `getFolderURI()`
`long` | `getId()`
`int` | `getVersion()`
`boolean` | `isNew()`
`boolean` | `isOverwriteFiles()`
`boolean` | `isSequentialFilenames()`
`void` | `setFolderURI(java.lang.String folder)`
`void` | `setId(long id)`
`void` | `setOverwriteFiles(boolean overwriteFiles)`
`void` | `setSequentialFilenames(boolean sequentialFilenames)`
`void` | `setVersion(int version)`
`ReportJobRepositoryDestination` | `toClient()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentReportJobRepositoryDestination

    public PersistentReportJobRepositoryDestination()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getFolderURI

    public java.lang.String getFolderURI()

### setFolderURI

    public void setFolderURI(java.lang.String folder)

### isSequentialFilenames

    public boolean isSequentialFilenames()

### setSequentialFilenames

    public void setSequentialFilenames(boolean sequentialFilenames)

### isOverwriteFiles

    public boolean isOverwriteFiles()

### setOverwriteFiles

    public void setOverwriteFiles(boolean overwriteFiles)

### copyFrom

    public void copyFrom(ReportJobRepositoryDestination repositoryDestination)

### toClient

    public ReportJobRepositoryDestination toClient()

### isNew

    public boolean isNew()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.